This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 709160 - (activity-log-manager) Review Request: activity-log-manager - Easily control what gets logged by Zeitgeist
Review Request: activity-log-manager - Easily control what gets logged by Zei...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2011-05-30 17:36 EDT by Mads Villadsen
Modified: 2012-10-28 13:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-28 13:04:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mads Villadsen 2011-05-30 17:36:18 EDT
Spec URL: http://krakoa.dk/fedora/activity-log-manager.spec
SRPM URL: http://krakoa.dk/fedora/activity-log-manager-0.8.0-1.fc15.src.rpm
Description: Activity Log Manager is a graphical user interface which lets you easily control what gets logged by Zeitgeist.
Comment 1 Fabian Affolter 2011-06-04 10:31:31 EDT
Just some quick comments on your spec file.

- You are mixing %{buildroot} and $RPM_BUILD_ROOT
  https://fedoraproject.org/wiki/Packaging:Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS
- At least the COPYING file needs to go to %doc
- The language files are not handled correct
  https://fedoraproject.org/wiki/Packaging:Guidelines#Handling_Locale_Files

P.S. For reviewer it would be handier if the URL is filled with the real URL and not a macros. Copy and paste ;-)
Comment 2 Mads Villadsen 2011-06-05 10:00:07 EDT
I updated the files. They are still at the same urls:

Spec URL: http://krakoa.dk/fedora/activity-log-manager.spec
SRPM URL: http://krakoa.dk/fedora/activity-log-manager-0.8.0-1.fc15.src.rpm

I now only use %{buildroot}. I have added the COPYING file.

The build file didn't install the language files so I had to resort to cp -p - but I think that should be alright.

And I changed the urls for easier copy/paste.
Comment 3 Mario Blättermann 2012-08-26 15:41:19 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4423843

$ rpmlint -i -v *
activity-log-manager.src: I: checking
activity-log-manager.src: I: checking-url https://launchpad.net/activity-log-manager/ (timeout 10 seconds)
activity-log-manager.src: I: checking-url http://launchpad.net/activity-log-manager/0.8/0.8.0/+download/activity-log-manager-0.8.0.tar.gz (timeout 10 seconds)
activity-log-manager.noarch: I: checking
activity-log-manager.noarch: I: checking-url https://launchpad.net/activity-log-manager/ (timeout 10 seconds)
activity-log-manager.spec: I: checking-url http://launchpad.net/activity-log-manager/0.8/0.8.0/+download/activity-log-manager-0.8.0.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

No issues.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv2+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    548ea3ce862afeebc1d69f0cee01b989d871bb84f687ce747d25ff71fcb6da33  activity-log-manager-0.8.0.tar.gz
    548ea3ce862afeebc1d69f0cee01b989d871bb84f687ce747d25ff71fcb6da33  activity-log-manager-0.8.0.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[.] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[.] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 4 Mario Blättermann 2012-09-06 03:38:39 EDT
I would expect a SCM request now...
Comment 5 Mario Blättermann 2012-09-20 09:08:06 EDT
Any news...?
Comment 6 Patrick Talbert 2012-09-20 09:14:52 EDT
The latest versions of activity-log-manager don't seem to use python anymore, so the original spec file in this ticket is no longer useful for building recent versions.

I butchered Mads Villadsen's spec into something that builds, but fails to run on my system:
http://sprunge.us/CWZi

Maybe someone can run with it, or maybe it needs to be redone from scratch?
Comment 7 Mario Blättermann 2012-09-21 17:16:59 EDT
Mads doesn't response, could be that he is no longer willing to maintain this package. I will wait a few weeks, say a month, if he still doesn't respond, I will close this bug as FE-DEADREVIEW.
Comment 8 Mario Blättermann 2012-10-28 13:04:51 EDT
OK, I recognize this bug as dead, that's why I will close it now.

Note You need to log in before you can comment on or make changes to this bug.